(*
 * Graph: generic graph library
 * Copyright (C) 2004
 * Sylvain Conchon, Jean-Christophe Filliatre and Julien Signoles
 * 
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License version 2, as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * See the GNU Library General Public License version 2 for more details
 * (enclosed in the file LGPL).
 *)

(* $Id: rand.mli,v 1.2 2004/02/04 12:51:01 filliatr Exp $ *)

(** Random graph generation *)

module type S = sig

  type graph 

  val random : v:int -> e:int -> graph
    (** [random v e] generates a random with [v] vertices and [e] edges. *)

end

module P (G : Sig.P with type V.label = int) : S with type graph = G.t

module I (G : Sig.I with type V.label = int) : S with type graph = G.t
